API

Add a payment system certificate

POST/api/crm/v2/integration_payment_certificates.addv2
operationId: integrationPaymentCertificates.add

Adds a certificate. For custom, a certificate file with a password is required. For apple_pay, a *.csr file is required, and the number of such certificates cannot exceed the number of branches. p12 is created without a file. The password is stored in encrypted form.

Authorization

api-token + language + role

Query parameters

chain_idintegerrequired

Example: 1

Request body multipart/form-data

oneOf
One of the options
object
namestringrequired

Example: cert

typestringrequired

Values:apple_paycustomp12

Example: custom

certificatestring · binaryrequired

File *.crt or *.csr

passwordstringrequired

Certificate password

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

dataobject